# Interface LongBinaryOperator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface LongBinaryOperator
Represents an operation upon two `long`-valued operands and producing a `long`-valued result. This is the primitive type specialization of `BinaryOperator` for `long`.

This is a functional interface whose functional method is `applyAsLong(long, long)`.

Since:
  1.8
See Also:
  - `BinaryOperator`
  - `LongUnaryOperator`

## Method Summary

Modifier and Type
Method
Description
`long`
`applyAsLong(long left, long right)`
Applies this operator to the given operands.

## Method Details

### applyAsLong

long applyAsLong(long left, long right)
Applies this operator to the given operands.

Parameters:
  `left` - the first operand
  `right` - the second operand
Returns:
  the operator result